Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class SimpleGroovyType

- org.codehaus.groovy.tools.groovydoc.SimpleGroovyType

- All Implemented Interfaces and Traits:
    GroovyType

      public class SimpleGroovyType
      extends Object
      implements GroovyType

  Simple immutable GroovyType implementation backed by a type name string.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleGroovyType(String typeName)` Creates a type wrapper for the supplied name.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `isPrimitive()` * Indicates whether this type is a Java primitive type. * * Returns: `true` if this type is primitive
    `` | `public String` | `qualifiedTypeName()` * The qualified name of this type excluding any dimension information. * For example, a two-dimensional array of String returns "`java.lang.String`".
    `` | `public String` | `simpleTypeName()` * The unqualified name of this type excluding any dimension or nesting information. * For example, the class `Outer.Inner` returns "`Inner`".
    `` | `public String` | `typeName()` * The unqualified name of this type excluding any dimension information. * For example, a two-dimensional array of String returns "`String`".

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public SimpleGroovyType(String typeName)

      Creates a type wrapper for the supplied name.

      Parameters:
        `typeName` - the type name to expose

  - ### Method Detail

    - #### public boolean isPrimitive()

      * Indicates whether this type is a Java primitive type. * *

      Returns:
        `true` if this type is primitive

    - #### public String qualifiedTypeName()

      * The qualified name of this type excluding any dimension information. * For example, a two-dimensional array of String returns "`java.lang.String`".

    - #### public String simpleTypeName()

      * The unqualified name of this type excluding any dimension or nesting information. * For example, the class `Outer.Inner` returns "`Inner`".

    - #### public String typeName()

      * The unqualified name of this type excluding any dimension information. * For example, a two-dimensional array of String returns "`String`".